Package org.apache.tools.ant.util

# Class ProxySetup

java.lang.Object
org.apache.tools.ant.util.ProxySetup

    public class ProxySetup
    extends java.lang.Object

Code to do proxy setup. This is just factored out of the main system just to keep everything else less convoluted.

Since:
  Ant1.7

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `FTP_NON_PROXY_HOSTS` | the ftp hosts not to be proxied property
  `static java.lang.String` | `FTP_PROXY_HOST` | the ftp proxyhost property
  `static java.lang.String` | `FTP_PROXY_PORT` | the ftp proxyport property
  `static java.lang.String` | `HTTP_NON_PROXY_HOSTS` | the ftp proxyport property
  `static java.lang.String` | `HTTP_PROXY_HOST` | the http proxyhost property
  `static java.lang.String` | `HTTP_PROXY_PASSWORD` | the http proxy password property
  `static java.lang.String` | `HTTP_PROXY_PORT` | the http proxyport property
  `static java.lang.String` | `HTTP_PROXY_USERNAME` | the http proxy username property
  `static java.lang.String` | `HTTPS_NON_PROXY_HOSTS` | the http hosts not to be proxied property
  `static java.lang.String` | `HTTPS_PROXY_HOST` | the https proxyhost property
  `static java.lang.String` | `HTTPS_PROXY_PORT` | the https proxyport property
  `static java.lang.String` | `SOCKS_PROXY_HOST` | the socks proxy host property
  `static java.lang.String` | `SOCKS_PROXY_PASSWORD` | the socks proxy password property
  `static java.lang.String` | `SOCKS_PROXY_PORT` | the socks proxy port property
  `static java.lang.String` | `SOCKS_PROXY_USERNAME` | the socks proxy username property
  `static java.lang.String` | `USE_SYSTEM_PROXIES` | Java1.5 property that enables use of system proxies.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ProxySetup​(Project owner)` | create a proxy setup class bound to this project

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `enableProxies()` | turn proxies on; if the proxy key is already set to some value: leave alone.
  `static java.lang.String` | `getSystemProxySetting()` | Get the current system property settings

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### USE_SYSTEM_PROXIES

    public static final java.lang.String USE_SYSTEM_PROXIES
    Java1.5 property that enables use of system proxies.
    See Also:
      Constant Field Values

  - ### HTTP_PROXY_HOST

    public static final java.lang.String HTTP_PROXY_HOST
    the http proxyhost property
    See Also:
      Constant Field Values

  - ### HTTP_PROXY_PORT

    public static final java.lang.String HTTP_PROXY_PORT
    the http proxyport property
    See Also:
      Constant Field Values

  - ### HTTPS_PROXY_HOST

    public static final java.lang.String HTTPS_PROXY_HOST
    the https proxyhost property
    See Also:
      Constant Field Values

  - ### HTTPS_PROXY_PORT

    public static final java.lang.String HTTPS_PROXY_PORT
    the https proxyport property
    See Also:
      Constant Field Values

  - ### FTP_PROXY_HOST

    public static final java.lang.String FTP_PROXY_HOST
    the ftp proxyhost property
    See Also:
      Constant Field Values

  - ### FTP_PROXY_PORT

    public static final java.lang.String FTP_PROXY_PORT
    the ftp proxyport property
    See Also:
      Constant Field Values

  - ### HTTP_NON_PROXY_HOSTS

    public static final java.lang.String HTTP_NON_PROXY_HOSTS
    the ftp proxyport property
    See Also:
      Constant Field Values

  - ### HTTPS_NON_PROXY_HOSTS

    public static final java.lang.String HTTPS_NON_PROXY_HOSTS
    the http hosts not to be proxied property
    See Also:
      Constant Field Values

  - ### FTP_NON_PROXY_HOSTS

    public static final java.lang.String FTP_NON_PROXY_HOSTS
    the ftp hosts not to be proxied property
    See Also:
      Constant Field Values

  - ### HTTP_PROXY_USERNAME

    public static final java.lang.String HTTP_PROXY_USERNAME
    the http proxy username property
    See Also:
      Constant Field Values

  - ### HTTP_PROXY_PASSWORD

    public static final java.lang.String HTTP_PROXY_PASSWORD
    the http proxy password property
    See Also:
      Constant Field Values

  - ### SOCKS_PROXY_HOST

    public static final java.lang.String SOCKS_PROXY_HOST
    the socks proxy host property
    See Also:
      Constant Field Values

  - ### SOCKS_PROXY_PORT

    public static final java.lang.String SOCKS_PROXY_PORT
    the socks proxy port property
    See Also:
      Constant Field Values

  - ### SOCKS_PROXY_USERNAME

    public static final java.lang.String SOCKS_PROXY_USERNAME
    the socks proxy username property
    See Also:
      Constant Field Values

  - ### SOCKS_PROXY_PASSWORD

    public static final java.lang.String SOCKS_PROXY_PASSWORD
    the socks proxy password property
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### ProxySetup

    public ProxySetup​(Project owner)
    create a proxy setup class bound to this project
    Parameters:
      `owner` - the project that owns this setup.

- ## Method Details

  - ### getSystemProxySetting

    public static java.lang.String getSystemProxySetting()
    Get the current system property settings
    Returns:
      current value; null for none or no access

  - ### enableProxies

    public void enableProxies()
    turn proxies on; if the proxy key is already set to some value: leave alone. if an ant property of the value `USE_SYSTEM_PROXIES` is set, use that instead. Else set to "true".